# Common Event Format

### Supported Platforms

| Platform | Metrics | Logs | Traces |
| -------- | ------- | ---- | ------ |
| Linux    |         | ✓    |        |
| Windows  |         | ✓    |        |
| macOS    |         | ✓    |        |

### Configuration Table

<table><thead><tr><th width="121.62109375">Parameter</th><th width="116.578125">Type</th><th width="99.7265625">Default</th><th>Description</th></tr></thead><tbody><tr><td>file_log_path*</td><td><code>strings</code></td><td></td><td>Specify a single path or multiple paths to read one or many files. You may also use a wildcard (*) to read multiple files within a directory.</td></tr><tr><td>exclude_file_log_path</td><td><code>strings</code></td><td>""</td><td>Specify a single path or multiple paths to exclude one or many files from being read. You may also use a wildcard (*) to exclude multiple files from being read within a directory.</td></tr><tr><td>log_type</td><td><code>string</code></td><td>"cef"</td><td>Adds the specified 'Type' as a log record attribute to each log message.</td></tr><tr><td>location</td><td><code>timezone</code></td><td>"UTC"</td><td>The geographic location (timezone) to use when parsing logs that contain a timestamp</td></tr><tr><td>timezone</td><td><code>timezone</code></td><td>"UTC"</td><td>The timezone to use when parsing timestamps.</td></tr><tr><td>start_at</td><td><code>enum</code></td><td>end</td><td>Start reading the file from the 'beginning' or 'end'.</td></tr></tbody></table>

<mark style="color:red;">\*</mark>*<mark style="color:red;">required field</mark>*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/integrations/sources/common-event-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
